SkipNullRepresenter (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.utils
Class SkipNullRepresenter

    java.lang.Object
      org.yaml.snakeyaml.representer.BaseRepresenter
          org.yaml.snakeyaml.representer.Representer
              org.apache.cassandra.utils.SkipNullRepresenter

    public class SkipNullRepresenter

extends org.yaml.snakeyaml.representer.Representer

Licensed to the Apache Software Foundation (ASF) under one or more contributor license agreements. See the NOTICE file distributed with this work for additional information regarding copyright ownership. The ASF licenses this file to you under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

Nested Class Summary

Nested classes/interfaces inherited from class org.yaml.snakeyaml.representer.Representer
`org.yaml.snakeyaml.representer.Representer.RepresentJavaBean`

Field Summary
`static java.util.regex.Pattern` | `BINARY_PATTERN`
`protected java.util.Map<java.lang.Class<? extends java.lang.Object>,org.yaml.snakeyaml.nodes.Tag>` | `classTags`

Fields inherited from class org.yaml.snakeyaml.representer.BaseRepresenter
`defaultFlowStyle, multiRepresenters, nullRepresenter, objectToRepresent, representedObjects, representers`

Constructor Summary
`SkipNullRepresenter()`

Method Summary
`org.yaml.snakeyaml.nodes.Tag` | `addClassTag(java.lang.Class<? extends java.lang.Object> arg0, java.lang.String arg1)`
`org.yaml.snakeyaml.nodes.Tag` | `addClassTag(java.lang.Class<? extends java.lang.Object> arg0, org.yaml.snakeyaml.nodes.Tag arg1)`
`protected boolean` | `ignoreAliases(java.lang.Object arg0)`
`protected org.yaml.snakeyaml.nodes.NodeTuple` | `representJavaBeanProperty(java.lang.Object javaBean, org.yaml.snakeyaml.introspector.Property property, java.lang.Object propertyValue, org.yaml.snakeyaml.nodes.Tag customTag)`

Methods inherited from class org.yaml.snakeyaml.representer.Representer
`checkGlobalTag, getProperties, representJavaBean, setAllowReadOnlyProperties`

Methods inherited from class org.yaml.snakeyaml.representer.BaseRepresenter
`represent, representData, representMapping, representScalar, representScalar, representSequence, setDefaultFlowStyle, setDefaultScalarStyle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### classTags

    protected java.util.Map<java.lang.Class<? extends java.lang.Object>,org.yaml.snakeyaml.nodes.Tag> classTags

### BINARY_PATTERN

    public static java.util.regex.Pattern BINARY_PATTERN

Constructor Detail

### SkipNullRepresenter

    public SkipNullRepresenter()

Method Detail

### representJavaBeanProperty

    protected org.yaml.snakeyaml.nodes.NodeTuple representJavaBeanProperty(java.lang.Object javaBean,
                                                                           org.yaml.snakeyaml.introspector.Property property,
                                                                           java.lang.Object propertyValue,
                                                                           org.yaml.snakeyaml.nodes.Tag customTag)

  Overrides:
    `representJavaBeanProperty` in class `org.yaml.snakeyaml.representer.Representer`

### ignoreAliases

    protected boolean ignoreAliases(java.lang.Object arg0)

  Specified by:
    `ignoreAliases` in class `org.yaml.snakeyaml.representer.BaseRepresenter`

### addClassTag

    public org.yaml.snakeyaml.nodes.Tag addClassTag(java.lang.Class<? extends java.lang.Object> arg0,
                                                    java.lang.String arg1)

### addClassTag

    public org.yaml.snakeyaml.nodes.Tag addClassTag(java.lang.Class<? extends java.lang.Object> arg0,
                                                    org.yaml.snakeyaml.nodes.Tag arg1)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation